{
  // 如果您是通过uni_modules形式引入uView，可以忽略此配置
  "easycom": {
    "^u-(.*)": "@/uni_modules/uview-ui/components/u-$1/u-$1.vue"
  },
  "pages": [
    {
      "path": "pages/home/index",
      "style": {
        "navigationBarTitleText": ""
      }
    },
    {
      "path": "pages/changePwd/index",
      "style": {
        "navigationBarTitleText": "",
        "navigationBarBackgroundColor": "#f7fcfd"
      }
    },
    {
      "path": "pages/adminHome/index",
      "style": {
        "navigationBarTitleText": "首页",
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/adminNfc/index",
      "style": {
        "navigationBarTitleText": "nfc卡写入",
        "navigationBarBackgroundColor": "#F6F8FC"
      }
    },
    {
      "path": "pages/adminNfc/nfcResult",
      "style": {
        "navigationStyle": "custom",
        "navigationBarTitleText": "nfc卡写入"
      }
    },
    {
      "path": "pages/adminMy/index",
      "style": {
        "navigationBarTitleText": "我的",
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/login/login",
      "style": {
        "navigationBarTitleText": "调试登陆"
      }
    },
    {
      "path": "pages/index/index",
      "style": {
        "navigationBarTitleText": "今日计划"
      }
    },
    {
      "path": "pages/index/list",
      "style": {
        "navigationBarTitleText": "异常上报"
      }
    },
    {
      "path": "pages/index/cleanDetails",
      "style": {
        "navigationStyle": "custom",
        "navigationBarTextStyle": "black",
        "navigationBarTitleText": "保洁详情"
      }
    },
    {
      "path": "pages/index/cleanPlan",
      "style": {
        "navigationStyle": "custom",
        "navigationBarTextStyle": "black",
        "navigationBarTitleText": "保洁计划"
      }
    },
    {
      "path": "pages/index/planList",
      "style": {
        "navigationStyle": "custom",
        "navigationBarTextStyle": "black",
        "navigationBarTitleText": "计划列表"
      }
    },
    {
      "path": "pages/index/uploadPhoto",
      "style": {
        "navigationStyle": "custom",
        "navigationBarTitleText": "上传图片"
      }
    },
    {
      "path": "pages/my/index",
      "style": {
        "navigationBarTitleText": "我的",
        "navigationBarBackgroundColor": "#4790FF",
        "navigationBarTextStyle": "white",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/public/login",
      "style": {
        "navigationBarTitleText": "登录"
      }
    },
    {
      "path": "pages/my/profile",
      "style": {
        "navigationBarTitleText": "个人信息",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/my/account/setting",
      "style": {
        "navigationBarTitleText": "设置",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/my/account/password",
      "style": {
        "navigationBarTitleText": "修改密码",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/my/account/index",
      "style": {
        "navigationBarTitleText": "帐号&安全",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/my/about/index",
      "style": {
        "navigationBarTitleText": "关于我们",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/my/account/phone",
      "style": {
        "navigationBarTitleText": "手机号绑定",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/my/account/email",
      "style": {
        "navigationBarTitleText": "邮箱绑定",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/my/account/logout_account",
      "style": {
        "navigationBarTitleText": "退出帐号",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/my/auth",
      "style": {
        "navigationBarTitleText": "实名认证",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/public/page",
      "style": {
        "navigationBarTitleText": "",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/my/about/feedback",
      "style": {
        "navigationBarTitleText": "意见反馈",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/public/register",
      "style": {
        "navigationBarTitleText": "注册",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/public/forget_password",
      "style": {
        "navigationBarTitleText": "忘记密码",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/user/index",
      "style": {
        "navigationBarTitleText": "",
        "navigationBarBackgroundColor": "#e5ebfd",
        "navigationBarTextStyle": "white",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/user/unitInfo/index",
      "style": {
        "navigationBarTitleText": "单位信息",
        "navigationBarBackgroundColor": "white",
        "navigationBarTextStyle": "black"
      }
    },
    {
      "path": "pages/user/versionInfo/index",
      "style": {
        "navigationBarTitleText": "版本信息",
        "navigationBarBackgroundColor": "white",
        "navigationBarTextStyle": "black"
      }
    }
  ],
  //分包加载配置，此配置为小程序的分包加载机制。
  "subPackages": [
    {
      "root": "pages/subPack", //子包的根目录
      "pages": [
        {
          "path": "index/detail",
          "style": {
            "navigationBarTitleText": "详情"
          }
        }
      ]
    }
  ],
  "globalStyle": {
    "navigationBarTextStyle": "black",
    "navigationBarTitleText": "uni-app",
    "navigationBarBackgroundColor": "white",
    "backgroundColor": "#F8F8F8"
  },
  "tabBar": {
    "color": "#2D2D2D",
    "selectedColor": "#4183F8",
    "borderStyle": "white",
    "list": [
      {
        "pagePath": "pages/index/planList",
        "iconPath": "static/tab/list.png",
        "selectedIconPath": "static/tab/list_cur.png",
        "text": "计划"
      },
      {
        "pagePath": "pages/index/index",
        "iconPath": "static/tab/home.png",
        "selectedIconPath": "static/tab/home_cur.png",
        "text": "首页"
      },
      {
        "pagePath": "pages/user/index",
        "iconPath": "static/tab/my.png",
        "selectedIconPath": "static/tab/my_cur.png",
        "text": "设置"
      },
      {
        "pagePath": "pages/adminHome/index",
        "iconPath": "static/tab/admin-home.png",
        "selectedIconPath": "static/tab/admin-home-acitve.png",
        "text": "首页"
      },
      {
        "pagePath": "pages/adminNfc/index",
        "iconPath": "static/tab/nfc.png",
        "selectedIconPath": "static/tab/nfc-active.png",
        "text": "nfc写入"
      },
      {
        "pagePath": "pages/adminMy/index",
        "iconPath": "static/tab/admin-my.png",
        "selectedIconPath": "static/tab/admin-my-active.png",
        "text": "我的"
      }
    ]
  },
  // 分包预载配置
  "preloadRule": {
    // 当我们进入了pages/index/index页面以后就会预下载pages/subPack分包
    "pages/index/index": {
      "network": "all", //在指定网络下预下载，可选值为：all（不限网络）、wifi（仅wifi下预下载）
      "packages": ["pages/subPack"] //进入页面后预下载分包
    }
  },
  "uniIdRouter": {}
}
